import java.io.*;
import java.util.Scanner;
public class Gerenciar
{
	private int pesquisa, exclui, idade, i, j, k, l, conf, nota;
	private double salario;
	private String nome, grr, matricula, cpf, email, ementa, ch;
	private Disciplina Dis [] = new Disciplina[5];
	private Turma Tur [] = new Turma[10];
	private Estudante Est [] = new Estudante[300];
	private Professor Prof [] = new Professor [10];		
	private Scanner input = new Scanner(System.in);
	
	public void start()
	{
		for(i=0; i<300; i++)
			Est[i] = new Estudante();
		for(i=0; i<10; i++)
		{
			Prof[i] = new Professor();		
			Tur[i] = new Turma();
		}
		for(i=0; i<5; i++)
			Dis[i] = new Disciplina();	
	}

	public void incProfessor()
	{
		for(i=0; i<10; i++)
		{
			if(Prof[i].ficha == 0)
			break;
		}
		if(i == 10)
			System.out.printf("\nLimite de professores atingido!\n");
		else
		{
			System.out.print("\nNome: ");
			nome = input.nextLine();
			System.out.print("\nEmail: ");
			email = input.nextLine();
			System.out.print("\nMatricula: ");
			matricula = input.nextLine();
			System.out.print("\nSalario: ");
			salario = input.nextDouble();
			input.nextLine();
			System.out.print("\nCPF: ");
			cpf = input.nextLine();
			System.out.print("\nIdade: ");
			idade = input.nextInt();
			input.nextLine();
			
			Prof[i].ficha(nome, email, cpf, idade, matricula, salario);
			System.out.printf("\nCadastro realizado com sucesso!\n");
			Prof[i].printInfo();
		}
	}

	public void excProfessor()
	{
		exclui = 0;
		System.out.print("\nDigite o nome completo do professor a ser excluido: ");
		nome = input.nextLine();
		for (i=0;i<10;i++)
		{
			exclui = Prof[i].excluir(nome);
			if(exclui == 1)
			{	
				System.out.printf("\nProfessor excluido!\n");
				break;
			}
		}	
		if(exclui == 0)
			System.out.printf("\nProfessor nao cadastrado!");
	}

	public void pesqProfessor()
	{
		pesquisa = 0;
		System.out.print("\nDigite o nome completo do professor a ser pesquisado: ");
		nome = input.nextLine();
		for(i=0; i<10; i++)
		{
			pesquisa = Prof[i].pesquisar(nome);
			if(pesquisa == 1)
				break;
		}	
		if(pesquisa == 0)
			System.out.printf("\nProfessor nao cadastrado!\n");
	}

	public void incEstudante()
	{
		for(i=0; i<300; i++)
		{
			if(Est[i].ficha == 0)
			break;
		}
		if(i == 300)
			System.out.printf("\nLimite de estudantes atingido!\n");
		else
		{
			System.out.print("\nNome: ");
			nome = input.nextLine();
			System.out.print("\nEmail: ");
			email = input.nextLine();
			System.out.print("\nGRR");
			grr = input.nextLine();
			System.out.print("\nCPF: ");
			cpf = input.nextLine();
			System.out.print("\nIdade: ");
			idade = input.nextInt();
			input.nextLine();

			Est[i].ficha(nome, email, cpf, idade, grr);
			System.out.printf("\nCadastro realizado com sucesso!\n", Est[i].nome);
			Est[i].printInfo();
		}
	}

	public void excEstudante()
	{
		exclui = 0;
		System.out.print("\nDigite o nome completo do estudante a ser excluido: ");
		nome = input.nextLine();
		for (i=0;i<300;i++)
		{
			exclui = Est[i].excluir(nome);
			if(exclui == 1)
			{
				System.out.printf("\nAluno excluido!\n");
				break;
			}
		}	
		if(exclui == 0)
			System.out.printf("\nAluno nao cadastrado!\n");
	}

	public void pesqEstudante()
	{
		pesquisa = 0;
		System.out.print("\nDigite o nome completo do aluno a ser pesquisado: ");
		nome = input.nextLine();
		for(i=0; i<300; i++)
		{
			pesquisa = Est[i].pesquisar(nome);
			if(pesquisa == 1)
				break;
		}	
		if(pesquisa == 0)
		System.out.printf("\nAluno nao cadastrado!\n");
	}

	public void incDisciplina()
	{
		for(i=0; i<5; i++)
		{
			if(Dis[i].ficha == 0)
			break;
		}
		if(i == 5)
			System.out.printf("\nLimite de disciplinas atingido!!\n");
		else
		{
			System.out.print("\nNome: ");
			nome = input.nextLine();
			System.out.print("\nCarga Horaria: ");
			ch = input.nextLine();
			System.out.print("\nEmenta: ");
			ementa = input.nextLine();
			Dis[i].ficha(nome, ch, ementa);
			System.out.printf("\nCadastro realizado com sucesso!\n");
			Dis[i].printInfo();
		}
	}

 	public void excDisciplina()
	{
		exclui = 0;
		System.out.print("\nDigite a disciplina a ser excluida:\n");
		nome = input.nextLine();
		for (i=0;i<5;i++)
		{
			exclui = Dis[i].excluir(nome);
			if(exclui == 1)
			{
				System.out.printf("\nDisciplina excluida!\n");
				break;
			}
		}	
		if(exclui == 0)
			System.out.printf("\nDisciplina nao cadastrado!\n");
	}

	public void pesqDisciplina()
	{
		pesquisa = 0;
		System.out.print("\nDigite o nome da disciplina a ser pesquisada: ");
		nome = input.nextLine();
		for(i=0; i<5; i++)
		{
			pesquisa = Dis[i].pesquisar(nome);
			if(pesquisa == 1)
				break;
		}	
		if(pesquisa == 0)
			System.out.printf("\nDisciplina nao cadastrado!!\n");
	}	

	public void incTurma()
	{
		conf = 0;
		for(i=0; i<10; i++)
		{
			if(Tur[i].ficha == 0)
			break;
		}
		if(i == 10)
			System.out.printf("\nLimite de turmas atingido!\n");
		else
		{		
			System.out.print("\nTurma: ");
			nome = input.nextLine();
			System.out.print("\nTurma associada a qual Disciplina? ");
			for(j=0; j<5; j++)
			{
				if(Dis[j].ficha == 1)
				{
					conf++;
					System.out.printf("\n\t%d - %s\n", j, Dis[j].nome);
				}
			}
			if(conf == 0)
				System.out.print("\nNenhuma disciplina cadastrada.\n");	
			else
			{	
		
				j = input.nextInt();

				if(Dis[j].ficha == 0)
				{
					System.out.print("\nErro!\n");
					input.nextLine();
				}					
				else
				{
					conf = 0;

					input.nextLine();
					System.out.print("\nQual o responsavel pela turma? ");
					for(k=0; k<10; k++)
					{
						if(Prof[k].ficha == 1)
						{
							conf++;
							System.out.printf("\n\t%d - %s\n", k, Prof[k].nome);
						}
					}
					if(conf == 0)
						System.out.print("\nSem professor cadastrado.\n ");	
					else
					{
						k = input.nextInt();
						input.nextLine();
						if(Prof[k].ficha == 0)
							System.out.print("\nErro!\n");
						else
						{	
							Tur[i].ficha(nome, Dis[j], Prof[k]);
							System.out.printf("\nTurma %s cadastrado!!\n", Tur[i].nome);
							Tur[i].printInfo();
						}
					}
				}			
			}			
		}
	}

	public void excTurma()
	{
		exclui = 0;
		System.out.print("\nDigite a turma a ser excluida: ");
		nome = input.nextLine();
		for (i=0;i<10;i++)
		{
			exclui = Tur[i].excluir(nome);
			if(exclui == 1)
			{
				for(j=0; j<Tur[i].matr; j++)
					for(k=0; k<300; k++)
						if(Tur[i].confmat[j] == Est[k])
							Est[k].confmat = 0;

				System.out.printf("\nTurma excluida!\n");
				break;
			}
		}	
		if(exclui == 0)
			System.out.printf("\nTurma nao cadastrada!\n");
	}


	public void pesqTurma()
	{
		pesquisa = 0;
		System.out.print("\nDigitea a turma a ser pesquisada: ");
		nome = input.nextLine();
		for(i=0; i<10; i++)
		{
			pesquisa = Tur[i].pesquisar(nome);
			if(pesquisa == 1)
				break;
		}	
		if(pesquisa == 0)
			System.out.printf("\nTurma nao cadastrada!!\n");
	}

	public void matricular()
	{
		conf = 0;
		System.out.print("\nInforme a turma ");
		for(j=0; j<10; j++)
		{
			if(Tur[j].ficha == 1)
			{
				conf++;
				System.out.printf("\n\t%d - %s\n", j, Tur[j].nome);
			}
		}
		
		if(conf == 0)
			System.out.print("\nNao existem Turmas cadastradas!\n");
		else
		{
			j = input.nextInt();
			input.nextLine();

			if(Tur[j].ficha == 0)
				System.out.print("\nErro!\n");
			else
			{
				l = 1;
				while(l == 1)
				{
					conf = 0;
					System.out.print("\nEscolha o estudante a ser matriculado ou -1 para sair");
					for(i=0; i<300; i++)
					{
						if(Est[i].ficha == 1 && Est[i].confmat == 0)
						{
							conf += 1;
							System.out.printf("\n\t%d - %s\n", i, Est[i].nome);
						}
					}
					if(conf == 0)
					{
						System.out.print("\nEstudantes nao cadastrados ou ja matriculados!\n");
						l = 0;
					}				
					else
					{
						i = input.nextInt();
						if(i == -1)
							l = 0;
						else if(Est[i].ficha == 0)
							System.out.print("\nErro!\n");
						else
						{
							Est[i].confmat = 1;
							Tur[j].matricular(Est[i]);
						}
					}
				}
			}
		}	
	}

	public void Notasfinais()
	{
		conf = 0;
		System.out.print("\nDigite a turma:");
		for(j=0; j<10; j++)
		{
			if(Tur[j].ficha == 1)
			{
				conf++;
				System.out.printf("\n\t%d - %s\n", j, Tur[j].nome);
			}
		}
		
		if(conf == 0)
			System.out.print("\nNao existem Turmas cadastradas!!\n");
		else
		{		
			j = input.nextInt();
			input.nextLine();

			if(Tur[j].ficha == 0)
				System.out.print("\nErro!\n");
			else
			{
				for(i=0; i<Tur[j].matr; i++)
				{
					System.out.printf("\nInforme a nota %s: ", Tur[j].confmat[i].nome);
					nota = input.nextInt();	
					Tur[j].Notasfinais(nota, i);
				}
				input.nextLine();
				if(Tur[j].matr == 0)
					System.out.print("\nEstudantes nao cadastrados!!\n");
			}
		}
	}
}
